• Home
  • Help
  • Search
  • Login
  • Register
Pages: [1]
Author Topic: apt-get error  (Read 2607 times)
rappa
Newbie
*

Karma: 0
Posts: 20


View Profile
« on: August 08, 2009, 03:01:07 PM »

I'm trying to install java with the following command

apt-get install openjdk-6-jre-headless

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libx11-data libxcb1 libxau6 libxdmcp6 libxcb-xlib0 libx11-6
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  ca-certificates-java java-common libaccess-bridge-java libfreetype6 libjpeg62 liblcms1 openjdk-6-jre-lib rhino tzdata-java
Suggested packages:
  equivs libfreetype6-dev liblcms-utils libnss-mdns sun-java6-fonts ttf-dejavu-core ttf-baekmuk ttf-unfonts ttf-unfonts-core
  ttf-kochi-gothic ttf-sazanami-gothic ttf-kochi-mincho ttf-sazanami-mincho ttf-wqy-zenhei ttf-indic-fonts-core ttf-telugu-fonts
  ttf-oriya-fonts ttf-kannada-fonts ttf-bengali-fonts rhino-doc
The following NEW packages will be installed:
  ca-certificates-java java-common libaccess-bridge-java libfreetype6 libjpeg62 liblcms1 openjdk-6-jre-headless openjdk-6-jre-lib
  rhino tzdata-java
0 upgraded, 10 newly installed, 0 to remove and 13 not upgraded.
E: Could not open lock file /var/cache/apt/archives/lock - open (2 No such file or directory)
E: Unable to lock the download directory


Ok so I create the lock file

root@debian:/# mkdir /var/cache/apt/archives
root@debian:/# touch  /var/cache/apt/archives/lock

and run again but get

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libx11-data libxcb1 libxau6 libxdmcp6 libxcb-xlib0 libx11-6
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  ca-certificates-java java-common libaccess-bridge-java libfreetype6 libjpeg62 liblcms1 openjdk-6-jre-lib rhino tzdata-java
Suggested packages:
  equivs libfreetype6-dev liblcms-utils libnss-mdns sun-java6-fonts ttf-dejavu-core ttf-baekmuk ttf-unfonts ttf-unfonts-core
  ttf-kochi-gothic ttf-sazanami-gothic ttf-kochi-mincho ttf-sazanami-mincho ttf-wqy-zenhei ttf-indic-fonts-core ttf-telugu-fonts
  ttf-oriya-fonts ttf-kannada-fonts ttf-bengali-fonts rhino-doc
The following NEW packages will be installed:
  ca-certificates-java java-common libaccess-bridge-java libfreetype6 libjpeg62 liblcms1 openjdk-6-jre-headless openjdk-6-jre-lib
  rhino tzdata-java
0 upgraded, 10 newly installed, 0 to remove and 13 not upgraded.
E: Archive directory /var/cache/apt/archives/partial is missing.


Any ideas on what is going on?  It sounds like others are installing packages without any issues.  I just got the plug and running the default os. btw, I'm logged in via ssh.

Andrew
Logged

rappa
Newbie
*

Karma: 0
Posts: 20


View Profile
« Reply #1 on: August 08, 2009, 03:20:45 PM »

I ran created the /var/cache/apt/archives/partial directory and ran apt-get update.  After that the openjdk installed fine.  Should I be installing packages as root?
Logged

CqCn
Full Member
***

Karma: 0
Posts: 169



View Profile
« Reply #2 on: August 08, 2009, 03:35:09 PM »

I had initially errors with lock, and other stuff.  I rebooted, set the .../partial directory, did an apt-get clean, and then it seems to have worked.
Logged

Cordially, CqCn

rappa
Newbie
*

Karma: 0
Posts: 20


View Profile
« Reply #3 on: August 08, 2009, 04:41:29 PM »

ok, I found this issue is discussed in http://plugcomputer.org/plugwiki/index.php/New_Plugger_How_To

I followed everything in the guiide but now my time is off:  Mon Jan 26 18:10:17 UTC 2009
even though I added /usr/sbin/ntpdate-debian to /etc/rc.local

I can run /usr/sbin/ntpdate-debian from the command line it sets the date properly.
Logged

Pages: [1]
Print
Jump to: